#
# Spec file for MRST Camera Imaging User-space Driver and Library
#
Summary: Config application to use with Marvell 8688 driver
Name: wlanconfig
Version: 0.1
Release: 2.1.moblin2
License: MIT
Group: Applications/System
URL: http://intel.com
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Patch0: wlanconfig-fix-headers.patch

%description
Config application to use with Marvell 8688 driver

%prep
%setup -q
%patch0 -p1  -b .headers

%build
mkdir wlan_src/app
mkdir wlan_src/app/wlanconfig
cp wlanconfig.c wlan_src/app/wlanconfig
cp wlanconfig.h wlan_src/app/wlanconfig
cp Makefile wlan_src/app/wlanconfig
cd wlan_src/app/wlanconfig
make all

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 wlan_src/app/wlanconfig/wlanconfig $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post


%files
%defattr(-,root,root,-)
%{_bindir}/wlanconfig 

%doc
%changelog
* Thu Jul 16 2009 Anas Nashif <anas.nashif@intel.com> - 0.1
- Fixed headers and make it compile with 2.6.30
* Wed Apr 29 2009 bjhueni <bret.j.hueni@intel.com> 0.1
- removed un-needed lines from spec file
* Wed Apr 29 2009 bjhueni <bret.j.hueni@intel.com> 0.1
- initial checkin of marvell lwlan config app
* Wed Apr 29 2009 bjhueni <bret.j.hueni@intel.com> 0.1
- initial checkin of Marvell driver config app for Alpha1
* Tue Apr 28 2009 bjhueni <bret.j.hueni@intel.com> 0.1
- initial checkin of wlanconfig
